Insider position history
curl --request GET \
--url https://astreus.ai/api/v1/companies/{id}/ownership/insider-history \
--header 'X-API-KEY: <api-key>'import requests
url = "https://astreus.ai/api/v1/companies/{id}/ownership/insider-history"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://astreus.ai/api/v1/companies/{id}/ownership/insider-history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://astreus.ai/api/v1/companies/{id}/ownership/insider-history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://astreus.ai/api/v1/companies/{id}/ownership/insider-history"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://astreus.ai/api/v1/companies/{id}/ownership/insider-history")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://astreus.ai/api/v1/companies/{id}/ownership/insider-history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"insiders": [
{
"ownerCik": "0001190270",
"points": [
{
"date": "2005-05-17",
"total": 0,
"direct": 0,
"indirect": 0,
"form": "3"
},
{
"date": "2008-01-18",
"total": 2000000,
"direct": 2000000,
"indirect": 0,
"form": "4"
}
],
"skipped": 1,
"ownerName": "PERRY MARK L"
},
{
"ownerCik": "0001197647",
"points": [
{
"date": "2004-08-17",
"total": 140015280,
"direct": 62965440,
"indirect": 77049840,
"form": "4"
},
{
"date": "2004-08-18",
"total": 154291320,
"direct": 62965440,
"indirect": 91325880,
"form": "4"
}
],
"skipped": 3,
"ownerName": "COXE TENCH"
}
],
"splits": [
{
"date": "2000-06-27",
"ratio": 2
},
{
"date": "2007-09-11",
"ratio": 1.5
}
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}Ownership & Insiders
Insider position history
Every served position snapshot of the company’s current insiders, restated on today’s share basis, with the splits applied. Not paged: limit or offset answers 400.
GET
/
api
/
v1
/
companies
/
{id}
/
ownership
/
insider-history
Insider position history
curl --request GET \
--url https://astreus.ai/api/v1/companies/{id}/ownership/insider-history \
--header 'X-API-KEY: <api-key>'import requests
url = "https://astreus.ai/api/v1/companies/{id}/ownership/insider-history"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://astreus.ai/api/v1/companies/{id}/ownership/insider-history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://astreus.ai/api/v1/companies/{id}/ownership/insider-history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://astreus.ai/api/v1/companies/{id}/ownership/insider-history"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://astreus.ai/api/v1/companies/{id}/ownership/insider-history")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://astreus.ai/api/v1/companies/{id}/ownership/insider-history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"insiders": [
{
"ownerCik": "0001190270",
"points": [
{
"date": "2005-05-17",
"total": 0,
"direct": 0,
"indirect": 0,
"form": "3"
},
{
"date": "2008-01-18",
"total": 2000000,
"direct": 2000000,
"indirect": 0,
"form": "4"
}
],
"skipped": 1,
"ownerName": "PERRY MARK L"
},
{
"ownerCik": "0001197647",
"points": [
{
"date": "2004-08-17",
"total": 140015280,
"direct": 62965440,
"indirect": 77049840,
"form": "4"
},
{
"date": "2004-08-18",
"total": 154291320,
"direct": 62965440,
"indirect": 91325880,
"form": "4"
}
],
"skipped": 3,
"ownerName": "COXE TENCH"
}
],
"splits": [
{
"date": "2000-06-27",
"ratio": 2
},
{
"date": "2007-09-11",
"ratio": 1.5
}
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}Authorizations
apiKeycognitoIdToken
Astreus API key (pk_live_...), created on the Developers page in the terminal. Also accepted as Authorization: Bearer pk_live_....
Path Parameters
Ticker symbol (e.g. NVDA), numeric SEC CIK (zero-padding optional), or the platform key of a non-SEC issuer (e.g. XSAU000001 — the cik field of the company payload). A bare ticker always resolves to the SEC registrant.
Query Parameters
Reporting-owner CIKs, comma-separated.
First snapshot date, YYYY-MM-DD.
Last snapshot date, YYYY-MM-DD.